/// \file

namespace foo
{
  /// \brief Test of template function in namespace.
  ///
  /// This detailed description does not appear in the generated documentation.
  template <typename T>
  T* bar(void* p)
  {
    return dynamic_cast<T*>(p);
  }
}

/// \brief Test of template function.
///
/// This detailed description \em does appear in the generated documentation.
template <typename T>
T* foo_bar(void* p)
{
  return dynamic_cast<T*>(p);
}
